#
# Conditional build:
%if "%{pld_release}" == "ac"
%bcond_with		tests		# build without tests
%else
%bcond_without	tests		# build without tests
%endif

%define		modname	ffmpeg
Summary:	Extension to manipulate movie in PHP
Summary(pl.UTF-8):	Rozszerzenie do obróbki filmów w PHP
Name:		php-%{modname}
Version:	0.6.3
Release:	2
License:	GPL
Group:		Development/Languages/PHP
Source0:	http://downloads.sourceforge.net/ffmpeg-php/ffmpeg-php-0.6.0.tbz2
# Source0-md5:	f779c0dbffda9dac54729d60c0e04c05
Patch100:	branch.diff
Patch1:		avcodec_find_decoder-warn.patch
Patch4:		ffmpeg-0.6.patch
Patch6:		allow_persistent_on_persistentMovie.phpt.patch
Patch7:		test_fixes.patch
Patch8:		tests-frame_md5.patch
Patch9:		tests-metadata-api.patch
URL:		http://ffmpeg-php.sourceforge.net/
%if %{with tests}
BuildRequires:	/usr/bin/php
BuildRequires:	php-devel >= 4:5.3.2-5
%else
BuildRequires:	php-devel >= 3:5.0.0
%endif
BuildRequires:	ffmpeg-devel >= 0.5
BuildRequires:	php-gd
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.344
Requires:	php-common >= 4:5.0.4
Requires:	php-gd
%{?requires_php_extension}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
php-ffmpeg is an extension for PHP that adds an easy to use,
object-oriented API for accessing and retrieving information from
video and audio files. It has methods for returning frames from movie
files as images that can be manipulated using PHP's image functions.
This works well for automatically creating thumbnail images from
movies. ffmpeg-php is also useful for reporting the duration and
bitrate of audio files (mp3, wma...). ffmpeg-php can access many of
the video formats supported by ffmpeg (mov, avi, mpg, wmv...).

%description -l pl.UTF-8
php-ffmpeg to rozszerzenie PHP dodające łatwe w użyciu, zorientowane
obiektowo API pozwalające na odtwarzanie informacji z plików filmów i
dźwiękowych. Zawiera metody zwracające ramki filmów jako obrazy, które
można obrabiać funkcjami PHP. Pozwala to automatycznie tworzyć
miniaturki obrazów z filmów. ffmpeg-php jest przydatne także do
uzyskiwania informacji o czasie trwania i paśmie plików dźwiękowych
(mp3, wma...). ffmpeg-php pozwala na dostęp do wielu formatów filmów
obsługiwanych przez ffmpeg (mov, avi, mpg, wmv...).

%prep
%setup -q -n ffmpeg-php-0.6.0
%patch100 -p0
%patch1 -p1
%if "%{pld_release}" != "ac"
%patch4 -p1
%endif
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

# empty file
rm tests/getFramesBackwards.phpt

%build
phpize
CPPFLAGS="%{rpmcppflags} -Werror"
%configure
%{__make}

%if %{with tests}
cat <<'EOF' > run-tests.sh
#!/bin/sh
%{__make} test \
	PHP_TEST_SHARED_SYSTEM_EXTENSIONS+="gd" \
	RUN_TESTS_SETTINGS="-q $*"
EOF
chmod +x run-tests.sh
./run-tests.sh -w failed.log
test -f failed.log -a ! -s failed.log
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}

# install config file
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog CREDITS EXPERIMENTAL LICENSE TODO test_ffmpeg.php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Oct 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-ffmpeg.git;a=log;h=AC-branch

* Mon Jul 11 2011 cvs2git <feedback@pld-linux.org> 390568b
This commit was manufactured by cvs2git to create branch 'AC-branch'.

* Mon Jun 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b3f05cc
- release 2

* Thu Jan 06 2011 Elan Ruusamäe <glen@pld-linux.org> df61178
- fix type cast

* Wed Jan 05 2011 Elan Ruusamäe <glen@pld-linux.org> 252ff3f
- use new ffmpeg metadata api to get id3 tags

* Wed Jan 05 2011 Elan Ruusamäe <glen@pld-linux.org> 8d9337f
- update md5 of frame dump tests (checksums against ffmpeg 0.6.1)

* Wed Jan 05 2011 Elan Ruusamäe <glen@pld-linux.org> 60eedc8
- add test fixes from debian

* Wed Jan 05 2011 Elan Ruusamäe <glen@pld-linux.org> 8b7cd97
- ffmpeg 0.5 is minimum, update failing tests

* Wed Jan 05 2011 Elan Ruusamäe <glen@pld-linux.org> 7ce6ca7
- against 0.6.3 svn

* Wed Jan 05 2011 Elan Ruusamäe <glen@pld-linux.org> 4e2403b
- tests-genre.patch outdated with branch diff

* Wed Jan 05 2011 Elan Ruusamäe <glen@pld-linux.org> a5ad27a
- build with branch diff (version is 0.6.3 according to changes)

* Wed Jan 05 2011 Elan Ruusamäe <glen@pld-linux.org> e55529a
- create branch update to 0.6.3

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e5b0d0
- release 11

* Fri Oct 22 2010 Elan Ruusamäe <glen@pld-linux.org> 9c11b1d
- minor fixes for ffmpeg 0.6

* Fri Oct 22 2010 Elan Ruusamäe <glen@pld-linux.org> 16198b7
- ffmpeg PIX_FMT_RGBA32 fix

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> 28b921c
- release 10

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> 228f17b
- release 9

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> ab2a7cf
- do not make avcodec_find_decoder failure fatal; rel 8

* Mon Jun 07 2010 Elan Ruusamäe <glen@pld-linux.org> fa1f368
- update tests to run with php53

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> e3ab61e
- release 6

* Fri Jun 26 2009 Elan Ruusamäe <glen@pld-linux.org> a843def
- gdImageBoundsSafeMacro returns always true as workaround

